function [P] = rls(X,T,P0);
%[P] = rls(X,T,P0);
% Function calculates P for problem (X-TP') with restriction
% diag(P'P) = 1;

f = ssq(X-T*P0'); f_old = 2*f+2*eps;
[I,R] = size(T);
P = P0;
kount = 0;
while (kount < 15 && f_old - f > eps )
    f_old = f;
    for r=1:R
        XX = X - T*P' + T(:,r)*P(:,r)';      % maakt residuals matrix, na weglating van j_e
        p = (XX'*T(:,r))';
        P(:,r) = p/norm(p);
    end;
    f = ssq(X-T*P');
    kount = kount + 1;
end; 